package org.apache.struts.config;

import org.apache.commons.digester.Rule;
import org.xml.sax.Attributes;

final class PlugInSetPropertyRule extends Rule {
  public void begin(Attributes attributes) throws Exception {
    PlugInConfig plugInConfig = (PlugInConfig)this.digester.peek();
    plugInConfig.addProperty(attributes.getValue("property"), attributes.getValue("value"));
  }
}
